Bug 1399728 (CVE-2016-9627)

Summary: CVE-2016-9627 w3m: Array index out of bounds in display.c
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: eng-i18n-bugs, i18n-bugs, pnemade
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-17 07:38:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1401423, 1401424    
Bug Blocks: 1399744    

Description Andrej Nemec 2016-11-29 15:43:43 UTC
An array index can be out of bounds in w3m while parsing maliciously crafted input.

Upstream bug:

https://github.com/tats/w3m/issues/38

Upstream fix:

https://github.com/tats/w3m/commit/0c3f5d0e0d9269ad47b8f4b061d7818993913189

References:

http://seclists.org/oss-sec/2016/q4/488

Comment 1 Huzaifa S. Sidhpurwala 2016-12-05 08:53:59 UTC
Created w3m tracking bugs for this issue:

Affects: fedora-all [bug 1401423]
Affects: epel-7 [bug 1401424]